public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Nirbheek Chauhan" <nirbheek@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: gnome-base/dconf/
Date: Mon,  9 May 2011 10:40:34 +0000 (UTC)	[thread overview]
Message-ID: <f8a76b2f625b2c08576f8c2f65ae2d9eb6d5eb8f.nirbheek@gentoo> (raw)

commit:     f8a76b2f625b2c08576f8c2f65ae2d9eb6d5eb8f
Author:     Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
AuthorDate: Mon May  9 10:40:19 2011 +0000
Commit:     Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
CommitDate: Mon May  9 10:40:19 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=f8a76b2f

gnome-base/dconf: 0.7.3 → 0.7.5

---
 .../{dconf-0.7.3-r1.ebuild => dconf-0.7.5.ebuild}  |   14 +++++++++++++-
 gnome-base/dconf/dconf-9999.ebuild                 |   14 +++++++++++++-
 2 files changed, 26 insertions(+), 2 deletions(-)

diff --git a/gnome-base/dconf/dconf-0.7.3-r1.ebuild b/gnome-base/dconf/dconf-0.7.5.ebuild
similarity index 82%
rename from gnome-base/dconf/dconf-0.7.3-r1.ebuild
rename to gnome-base/dconf/dconf-0.7.5.ebuild
index 4e865c3..0f3ba6e 100644
--- a/gnome-base/dconf/dconf-0.7.3-r1.ebuild
+++ b/gnome-base/dconf/dconf-0.7.5.ebuild
@@ -5,7 +5,7 @@
 EAPI="3"
 GCONF_DEBUG="no"
 
-inherit gnome2
+inherit gnome2 bash-completion
 if [[ ${PV} = 9999 ]]; then
 	inherit gnome2-live
 fi
@@ -33,6 +33,7 @@ DEPEND="${COMMON_DEPEND}
 
 pkg_setup() {
 	G2CONF="${G2CONF}
+		--disable-schemas-compile
 		VALAC=$(type -p valac-0.12)
 		$(use_enable X editor)"
 		#$(use_enable vala)
@@ -62,4 +63,15 @@ src_install() {
 	echo 'CONFIG_PROTECT_MASK="/etc/dconf"' >> 51dconf
 	echo 'GSETTINGS_BACKEND="dconf"' >> 51dconf
 	doenvd 51dconf || die "doenvd failed"
+
+	# Remove bash-completion file installed by build system
+	rm -rv "${ED}/etc/bash_completion.d/" || die
+
+	use bash-completion && \
+		dobashcompletion "${S}/bin/dconf-bash-completion.sh" ${PN}
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+	use bashcompletion && bash-completion_pkg_postinst
 }

diff --git a/gnome-base/dconf/dconf-9999.ebuild b/gnome-base/dconf/dconf-9999.ebuild
index 4e865c3..0f3ba6e 100644
--- a/gnome-base/dconf/dconf-9999.ebuild
+++ b/gnome-base/dconf/dconf-9999.ebuild
@@ -5,7 +5,7 @@
 EAPI="3"
 GCONF_DEBUG="no"
 
-inherit gnome2
+inherit gnome2 bash-completion
 if [[ ${PV} = 9999 ]]; then
 	inherit gnome2-live
 fi
@@ -33,6 +33,7 @@ DEPEND="${COMMON_DEPEND}
 
 pkg_setup() {
 	G2CONF="${G2CONF}
+		--disable-schemas-compile
 		VALAC=$(type -p valac-0.12)
 		$(use_enable X editor)"
 		#$(use_enable vala)
@@ -62,4 +63,15 @@ src_install() {
 	echo 'CONFIG_PROTECT_MASK="/etc/dconf"' >> 51dconf
 	echo 'GSETTINGS_BACKEND="dconf"' >> 51dconf
 	doenvd 51dconf || die "doenvd failed"
+
+	# Remove bash-completion file installed by build system
+	rm -rv "${ED}/etc/bash_completion.d/" || die
+
+	use bash-completion && \
+		dobashcompletion "${S}/bin/dconf-bash-completion.sh" ${PN}
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+	use bashcompletion && bash-completion_pkg_postinst
 }



             reply	other threads:[~2011-05-09 10:40 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-05-09 10:40 Nirbheek Chauhan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-02-22 18:56 [gentoo-commits] proj/gnome:master commit in: gnome-base/dconf/ Mart Raudsepp
2015-05-10 17:20 Gilles Dartiguelongue
2014-12-22 23:11 Gilles Dartiguelongue
2013-11-27 23:32 Gilles Dartiguelongue
2012-09-28  0:07 Alexandre Rostovtsev
2012-09-02 18:59 Nirbheek Chauhan
2012-08-18 10:40 Priit Laes
2012-04-12 10:54 Priit Laes
2012-04-02  3:30 Alexandre Restovtsev
2012-03-22  3:19 Alexandre Restovtsev
2011-07-28  1:49 Alexandre Restovtsev
2011-07-26 18:47 Alexandre Restovtsev
2011-06-24 17:35 Alexandre Restovtsev
2011-04-29 19:12 Nirbheek Chauhan
2011-04-09  7:04 Nirbheek Chauhan
2011-04-08 10:52 Gilles Dartiguelongue
2011-03-23 21:59 Nirbheek Chauhan
2011-02-06  7:37 Nirbheek Chauhan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=f8a76b2f625b2c08576f8c2f65ae2d9eb6d5eb8f.nirbheek@gentoo \
    --to=nirbheek@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox